WordPress.org

Ready to get started?Download WordPress

Forums

Can't Activate Plugin: Your WordPress database is already up-to-date! (5 posts)

  1. bmnave
    Member
    Posted 3 years ago #

    Hi All,

    I'm writing a plugin, but I seem to have done something wrong that I cannot figure out. When I try to install my plugin, the install works fine, but when I click the "Activate" link, I get a message that says: "Your WordPress database is already up-to-date!". However, the plugin does not become active.

    I have tried removing the plugin and reinstalling. I've tried bumping the version number in my plugin-name.php file and "Upgrading" but every thing I try I still get the database is up-to-date message and an inactive plugin.

    Any suggestions?

    Thanks!
    -Ben

  2. bmnave
    Member
    Posted 3 years ago #

    Finally figured out my problem!

    The issue was that I had:

    include("admin.php");

    to include my admin options page. I must have hit a namespace collision or something.

  3. brough
    Member
    Posted 2 years ago #

    Have just updated to latest WP version, 3.3.

    It seemed to be fine on the first domain, but on the second I can no longer make admin function. Once I get into admin, if I try do do just about anything I get the message
    "No Update Required

    Your WordPress database is already up-to-date!"

    Pressing Continue returns me to the front page of the site, so I log back in and the process repeats. Have tried deactivating htacces and renaming upgrade.php.

    Clues?

  4. brough
    Member
    Posted 2 years ago #

    It came good after a bit of fiddling, don't know why. Possibly a cache issue.

  5. bmnave
    Member
    Posted 2 years ago #

    Hi brough,

    I think that you are experiencing a different problem than the one I was having while writing a plugin for Word Press. Glad you were able to get your sites working again.

    -b

Topic Closed

This topic has been closed to new replies.

About this Topic

Tags

No tags yet.